'use strict';

var index = require('./index-pX0sBY0-.js');

const breadcrumbItemLabelCss = () => `.breadcrumb-item-label-container{display:flex;align-items:center;gap:8px;text-decoration:none;color:#1D1D1D}.breadcrumb-item-label-container.margin{margin-left:16px}.breadcrumb-item-label-container ifx-icon:empty{display:none}.breadcrumb-item-label-container .label-icon-wrapper{display:inline-flex}.breadcrumb-item-label-container .menu-icon-wrapper{display:flex;justify-content:center;align-items:center;width:16px;height:16px}.breadcrumb-item-label-container .menu-icon-wrapper.hide{display:none}.breadcrumb-item-label-container .menu-icon-wrapper ifx-icon{transition:0.3s}.breadcrumb-item-label-container .menu-icon-wrapper.show ifx-icon{transition:0.3s;transform:rotate(180deg)}`;

const BreadcrumbItemLabel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.breadcrumbMenuIconWrapper = index.createEvent(this, "breadcrumbMenuIconWrapper", 7);
    }
    /** Icon displayed inside the breadcrumb item. */
    icon;
    /** URL the breadcrumb item links to. */
    href;
    /** Where to open the link. */
    target = "_self";
    get el() { return index.getElement(this); }
    /** Fires with the icon wrapper element when it's ready. */
    breadcrumbMenuIconWrapper;
    componentDidLoad() {
        const container = this.el.shadowRoot.querySelector(".breadcrumb-item-label-container");
        const menuWrapper = container?.querySelector(".menu-icon-wrapper");
        if (menuWrapper) {
            this.breadcrumbMenuIconWrapper.emit(menuWrapper);
        }
    }
    render() {
        return (index.h("a", { key: 'daa6bbd525d8be74fc6f149e5a519b30c4916d2f', href: this.href, target: this.target, class: "breadcrumb-item-label-container", role: "link" }, index.h("ifx-icon", { key: '318d4c19a2957b745cd44bddfaa342b9a802dfca', icon: this.icon, "aria-hidden": "true" }), index.h("span", { key: 'fc3b1f00e20a32ace825120064bce618f40e3144', class: "label-wrapper" }, index.h("slot", { key: 'fd08e37a24ee8a93e19d6af8a5d29bb46c41929e' })), index.h("span", { key: '6087da6ad9e230797ec1d36aae1d0e05eb78a24c', class: "menu-icon-wrapper", "aria-hiden": "true" }, index.h("ifx-icon", { key: '749cf690aa7fe8334d8d4c398728814059beee8c', icon: "chevron-down-16" }))));
    }
};
BreadcrumbItemLabel.style = breadcrumbItemLabelCss();

exports.ifx_breadcrumb_item_label = BreadcrumbItemLabel;
